Skip to content
Start here

Delete Monitor

client.loadBalancers.monitors.delete(stringmonitorId, MonitorDeleteParams { account_id } params, RequestOptionsoptions?): MonitorDeleteResponse { id }
DELETE/accounts/{account_id}/load_balancers/monitors/{monitor_id}

Delete a configured monitor.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools Write
ParametersExpand Collapse
monitorId: string
params: MonitorDeleteParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
MonitorDeleteResponse { id }
id?: string

Delete Monitor

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const monitor = await client.loadBalancers.monitors.delete('f1aba936b94213e5b8dca0c0dbf1f9cc', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(monitor.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f1aba936b94213e5b8dca0c0dbf1f9cc"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f1aba936b94213e5b8dca0c0dbf1f9cc"
  },
  "success": true
}